function::proc_mem_string
Prev | Chapter 6. Memory Tapset | Next

## Name

function::proc_mem_string — Human readable string of process memory usage

## Synopsis

    1) proc_mem_string:string()

    2) proc_mem_string:string(pid:long)

## Arguments

`pid`

  The pid of process to examine

## Description

1) Returns a human readable string showing the size, rss, shr, txt and data of the memory used by the current process. For example“size: 301m, rss: 11m, shr: 8m, txt: 52k, data: 2248k”.

2) Returns a human readable string showing the size, rss, shr, txt and data of the memory used by the given process. For example“size: 301m, rss: 11m, shr: 8m, txt: 52k, data: 2248k”.

Prev | Up | Next
function::proc_mem_size | Home | function::proc_mem_txt